enum NUIMathOpt{
  ADD,
  MINUS,
  MULTIPLY,
  DIVIDE,
  POWER,
  REMAINDER
}

class NUIMathOperators{
  NUIMathOperators._builder();
  static const String ADD = "+";
  static const String MINUS = "-";
  static const String MULTIPLY = "*";
  static const String DIVIDE = "/";
  static const String POWER = "*";
  static const String REMAINDER = "%";
}

extension NUIMathOptExt on NUIMathOpt{
  String value(){
    switch(this){
      case NUIMathOpt.ADD: return NUIMathOperators.ADD;
      case NUIMathOpt.MINUS: return NUIMathOperators.MINUS;
      case NUIMathOpt.MULTIPLY: return NUIMathOperators.MULTIPLY;
      case NUIMathOpt.DIVIDE: return NUIMathOperators.DIVIDE;
      case NUIMathOpt.POWER: return NUIMathOperators.POWER;
      case NUIMathOpt.REMAINDER: return NUIMathOperators.REMAINDER;
    }
  }
}