enum NUILogicDataType{
  STRING,
  DOUBLE,
  INT,
  DATE,
  LONG,
  BOOL,
  LIST
}

extension NUILogicDataTypeExt on NUILogicDataType{
  String value(){
    switch(this){
      case NUILogicDataType.STRING: return "string";
      case NUILogicDataType.BOOL: return "bool";
      case NUILogicDataType.DATE: return "date";
      case NUILogicDataType.LONG: return "long";
      case NUILogicDataType.DOUBLE: return "double";
      case NUILogicDataType.LIST: return "list";
      case NUILogicDataType.INT: return "int";
    }
  }
}