enum NUIComparisonOpt {
  EQUAL,
  MORE_THAN,
  LESS_THAN,
  MORE_THAN_EQUAL_TO,
  LESS_THAN_EQUAL_TO,
  NOT_EQUAL,
  LIKE,
  IS_NULL,
  IS_NOT_NULL,
  IS_NULL_OR_EMPTY,
  IS_NOT_NULL_OR_EMPTY
}

class NUIComparisonOperators{
  NUIComparisonOperators._builder();
  static const String EQUAL = "=";
  static const String MORE_THAN = ">";
  static const String LESS_THEN = "<";
  static const String MORE_THAN_EQUAL_TO = ">=";
  static const String LESS_THEN_EQUAL_TO = "<=";
  static const String NOT_EQUAL = "!=";
  static const String LIKE = "=|";
  static const String IS_NULL = "is_null";
  static const String IS_NOT_NULL = "is_not_null";
  static const String IS_NULL_OR_EMPTY = "is_null_or_empty";
  static const String IS_NOT_NULL_OR_EMPTY = "is_not_null_or_empty";
}

extension NUIComparisonOptExt on NUIComparisonOpt{

  String value(){
    switch(this){
      case NUIComparisonOpt.EQUAL : return NUIComparisonOperators.EQUAL;
      case NUIComparisonOpt.MORE_THAN : return NUIComparisonOperators.MORE_THAN;
      case NUIComparisonOpt.LESS_THAN : return NUIComparisonOperators.LESS_THEN;
      case NUIComparisonOpt.MORE_THAN_EQUAL_TO : return NUIComparisonOperators.MORE_THAN_EQUAL_TO;
      case NUIComparisonOpt.LESS_THAN_EQUAL_TO : return NUIComparisonOperators.LESS_THEN_EQUAL_TO;
      case NUIComparisonOpt.NOT_EQUAL : return NUIComparisonOperators.NOT_EQUAL;
      case NUIComparisonOpt.LIKE : return NUIComparisonOperators.LIKE;
      case NUIComparisonOpt.IS_NULL : return NUIComparisonOperators.IS_NULL;
      case NUIComparisonOpt.IS_NOT_NULL : return NUIComparisonOperators.IS_NOT_NULL;
      case NUIComparisonOpt.IS_NULL_OR_EMPTY : return NUIComparisonOperators.IS_NULL_OR_EMPTY;
      case NUIComparisonOpt.IS_NOT_NULL_OR_EMPTY : return NUIComparisonOperators.IS_NOT_NULL_OR_EMPTY;
    }
  }
}